uuid: 62fe711e-5660-4ffa-9b9d-ffa6879c6d5d
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_comment_entity_display
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Comment display configuration'
source:
  plugin: d7_node_type
  constants:
    entity_type: node
    view_mode: default
    options:
      label: hidden
      type: comment_default
      weight: 20
process:
  entity_type:
    -
      plugin: get
      source: constants/entity_type
  field_name:
    -
      plugin: migration_lookup
      source: type
      migration: upgrade_d7_comment_type
    -
      plugin: skip_on_empty
      method: row
  view_mode:
    -
      plugin: get
      source: constants/view_mode
  options:
    -
      plugin: get
      source: constants/options
  bundle:
    -
      plugin: get
      source: type
destination:
  plugin: component_entity_display
migration_dependencies:
  required:
    - upgrade_d7_comment_field_instance
  optional:
    - upgrade_d7_comment_type
